Record the member's consent decision and get the redirect back to the app.
POST
/oauth/authorize
const url = 'https://api.siteqwality.com/oauth/authorize';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"consent_granted":true,"scopes":["example"],"client_id":"example","redirect_uri":"example","response_type":"example","state":"example","nonce":"example","code_challenge":"example","resources":["example"],"prompt":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/oauth/authorize \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "consent_granted": true, "scopes": [ "example" ], "client_id": "example", "redirect_uri": "example", "response_type": "example", "state": "example", "nonce": "example", "code_challenge": "example", "resources": [ "example" ], "prompt": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
The member’s decision on the consent screen.
object
consent_granted
required
boolean
scopes
The scopes the member granted: a subset of the requested ones.
Array<string>
client_id
required
string
redirect_uri
required
string
response_type
required
string
state
string | null
nonce
string | null
code_challenge
string | null
resources
array | null
prompt
string | null
Example generated
{ "consent_granted": true, "scopes": [ "example" ], "client_id": "example", "redirect_uri": "example", "response_type": "example", "state": "example", "nonce": "example", "code_challenge": "example", "resources": [ "example" ], "prompt": "example"}Responses
Section titled “ Responses ”Where to send the browser next
Media type application/json
object
redirect_uri
required
Where to send the browser next: back to the app, with the code or the denial attached.
string
Example generated
{ "redirect_uri": "example"}The request was refused
Missing or invalid authentication
Not a dashboard session